Bug 647196 - RFE: Virtio nic should support "ethtool -i virtio nic"
RFE: Virtio nic should support "ethtool -i virtio nic"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.9
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Laszlo Ersek
Virtualization Bugs
: FutureFeature
Depends On: 645646
Blocks: Rhel5KvmTier3
  Show dependency treegraph
 
Reported: 2010-10-27 10:17 EDT by Laszlo Ersek
Modified: 2011-02-16 11:05 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 645646
Environment:
Last Closed: 2011-02-16 11:05:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add get_drvinfo() to virtio_net (688 bytes, patch)
2010-10-27 10:21 EDT, Laszlo Ersek
no flags Details | Diff

  None (edit)
Description Laszlo Ersek 2010-10-27 10:17:40 EDT
+++ This bug was initially created as a clone of Bug #645646 +++

RHEL4 virtio_net doesn't support "ethtool -i" (KVM guest):

    # uname -r
    2.6.9-89.ELsmp

    # ethtool -i eth0
    Cannot get driver information: Operation not supported
Comment 1 Laszlo Ersek 2010-10-27 10:21:02 EDT
Created attachment 455988 [details]
add get_drvinfo() to virtio_net

    # uname -r
    2.6.9-90.ELrhel4.virtio_net.drvinfosmp

    # ethtool -i eth0
    driver: virtio_net
    version:
    firmware-version:
    bus-info: virtio0
Comment 2 Vivek Goyal 2010-12-14 08:53:56 EST
Committed in 93.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 5 errata-xmlrpc 2011-02-16 11:05:34 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html

Note You need to log in before you can comment on or make changes to this bug.